part of tecfy_basic_package;

class OperationResult<T>{
  bool success;
  T data;
  String message;
  String errorCodeString;
  OperationResult({this.success,this.data,this.message,this.errorCodeString});

  showMessage(BuildContext context)async{
    if(message != null && message.isNotEmpty)
      AppNavigator.showMessage(context, message);
  }

  @override 
  toString(){
    if(success)
    return '>>>>> Success, Data: $data';
    else
    return 'XXXXX FAILED:  Message: $message';
  }
}