part of tecfy_basic_package;

class ImageService{
  
  Future<FileInfo> getImage({ImageSource source = ImageSource.gallery}) async {

    if(kIsWeb)return await _setImageWeb();

    var image = await ImagePicker.pickImage(source: source, maxHeight: 200,maxWidth:200);
    return FileInfo(name:image.path,data:await image.readAsBytes());
    
  }


  Future<FileInfo> _setImageWeb() async {
    return null;
    // final completer = Completer<List<String>>();
    // InputElement uploadInput = FileUploadInputElement();
    // uploadInput.multiple = true;
    // uploadInput.accept = 'image/*';
    // uploadInput.click();
    // //* onChange doesn't work on mobile safari
    // uploadInput.addEventListener('change', (e) async {
    //   // read file content as dataURL
    //   final files = uploadInput.files;
    //   Iterable<Future<String>> resultsFutures = files.map((file) {
    //     final reader = FileReader();
    //     reader.readAsDataUrl(file);
    //     reader.onError.listen((error) => completer.completeError(error));
    //     return reader.onLoad.first.then((_) => reader.result as String);
    //   });

    //   final results = await Future.wait(resultsFutures);
    //   completer.complete(results);
    // });
    // //* need to append on mobile safari
    // document.body.append(uploadInput);
    // final List<String> images = await completer.future;
    // print('======================== Web images');
    // var image = base64Decode(images.first.replaceFirst('data:image/jpeg;base64,', ''));
    // print( image.length);
    // uploadInput.remove();
    // return FileInfo(name:'file.jpg',data: image);
  }

  static String imageUrl(id) {
    return '${ApiService.apiURL}Attachment/image/$id/${ConfigService.token}';
  }
}

class FileInfo{
   String name;
    List<int> data;
    FileInfo({this.name,this.data});
  }